LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
ContentAction.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::ucb
| Universal Content Broker interfaces.

## Constant Groups
constants | com::sun::star::ucb::ContentAction
| specifies actions which can be transported with content events.

## Variables
const long | INSERTED = 0
| A content was inserted into a folder content (i.e., while updating the folder). More...
const long | REMOVED = 1
| A content was removed from a folder content, but not physically destroyed (i.e., due to rules just applied to the folder). More...
const long | DELETED = 2
| A content was physically destroyed. More...
const long | EXCHANGED = 4
| This Action indicates that a content has changed its identity (i.e. More...
const long | SEARCH_MATCHED = 128
| This is obsolete and should no longer be used. More...